/v0.1/merchants/{merchant_code}/readers/{reader_id}/checkout/{checkout_id}Get a Checkout for a Reader.
OAuth scopes: Requires one of: readers.read.
Required permissions:
readers.checkouts.view
Path parameters
Merchant Code
The unique identifier of the Reader
The unique identifier of the Checkout
Responses
200application/json
The Checkout got successfully retrieved for the given reader.
Show 14 properties
- Options:
"credit""debit"nullType of the card, or null when no card type was specified.
- format:
uuidUnique identifier for the checkout
Client transaction identifier associated with the checkout
- format:
date-timeCheckout creation timestamp
Number of installments for the transaction. Required for some countries.
Reason for the payment failure, or null when no failure reason is available.
Status of the payment, or null when no payment status is available.
- Options:
"card""pix"Type of the payment. Required for some countries
Reader firmware version
Device serial number
- Options:
"pending""successful""failed""cancelled"Current status of the checkout
Amount structure.
The amount is represented as an integer value altogether with the currency and the minor unit.
For example, EUR 1.00 is represented as value 100 with minor unit of 2.
Example:
{"currency":"EUR","minor_unit":2,"value":1000}Show 3 properties
Currency ISO 4217 code
Example:
"EUR"- minimum:
0The minor units of the currency. It represents the number of decimals of the currency. For the currencies CLP, COP and HUF, the minor unit is 0.
Example:
2 - minimum:
0Integer value of the amount.
Example:
1000
- format:
date-timeCheckout last update timestamp
- format:
date-timeCheckout expiration timestamp. After this time, the checkout will be automatically cancelled.
401application/json
Unauthorized
application/problem+json
- format:
uriA URI reference that identifies the problem type.
Example:
"https://developer.sumup.com/problem/not-found" - titlestring
A short, human-readable summary of the problem type.
Example:
"Requested resource couldn't be found." - statusinteger
The HTTP status code generated by the origin server for this occurrence of the problem.
Example:
404 - detailstring
A human-readable explanation specific to this occurrence of the problem.
Example:
"The requested resource doesn't exist or does not belong to you." - instancestringformat:
uriA URI reference that identifies the specific occurrence of the problem.
Example:
"https://api.sumup.com/v0.1/checkouts/4e425463-3e1b-431d-83fa-1e51c2925e99"
{
"detail": "Unauthorized",
"status": 401,
"title": "Unauthorized",
"type": "https://developer.sumup.com/problem/unauthorized"
}404application/json
Response when given reader or checkout is not found
Show 1 property
Fuller message giving context to error
application/problem+json
- format:
uriA URI reference that identifies the problem type.
Example:
"https://developer.sumup.com/problem/not-found" - titlestring
A short, human-readable summary of the problem type.
Example:
"Requested resource couldn't be found." - statusinteger
The HTTP status code generated by the origin server for this occurrence of the problem.
Example:
404 - detailstring
A human-readable explanation specific to this occurrence of the problem.
Example:
"The requested resource doesn't exist or does not belong to you." - instancestringformat:
uriA URI reference that identifies the specific occurrence of the problem.
Example:
"https://api.sumup.com/v0.1/checkouts/4e425463-3e1b-431d-83fa-1e51c2925e99"
{
"detail": "The requested resource doesn't exist or does not belong to you.",
"status": 404,
"title": "Requested resource couldn't be found.",
"type": "https://developer.sumup.com/problem/not-found"
}